# Class: Stroke

## Stroke

Set stroke style for vector features.

#### new ol.style.Stroke(opt_options) experimental

src/ol/style/strokestyle.js, line 15

  Name | Type | Description
  --- | --- | ---
  `options` | optional Options.
  Name | Type | Description
  --- | --- | ---
  `color` | ol.Color | string | undefined | optional Color.
  `lineCap` | string | undefined | optional Line cap style: `butt`, `round`, or `square`. Default is `round`.
  `lineJoin` | string | undefined | optional Line join style: `bevel`, `round`, or `miter`. Default is `round`.
  `lineDash` | Array.<number> | undefined | optional Line dash pattern. Default is `undefined` (no dash).
  `miterLimit` | number | undefined | optional Miter limit. Default is `10`.
  `width` | number | undefined | optional Width.

### Methods

#### getColor(){ol.Color|string} experimental

src/ol/style/strokestyle.js, line 61

  ##### Returns:

  Color.

#### getLineCap(){string|undefined} experimental

src/ol/style/strokestyle.js, line 70

  ##### Returns:

  Line cap.

#### getLineDash(){Array.<number>} experimental

src/ol/style/strokestyle.js, line 79

  ##### Returns:

  Line dash.

#### getLineJoin(){string|undefined} experimental

src/ol/style/strokestyle.js, line 88

  ##### Returns:

  Line join.

#### getMiterLimit(){number|undefined} experimental

src/ol/style/strokestyle.js, line 97

  ##### Returns:

  Miter limit.

#### getWidth(){number|undefined} experimental

src/ol/style/strokestyle.js, line 106

  ##### Returns:

  Width.